mscorlib 2.0.0.0 4.0.0.0 System.Object System.IDisposable System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(false)

The class contains an and provides internal-only access to the application manifest. The activation context is used during manifest-based activation to set up the domain policy and provide an application-based security model. For more information, see the class.

Identifies the activation context for the current application. This class cannot be inherited.

- Method
  2.0.0.0
  4.0.0.0
  System.ActivationContext ``

  The method calls an internal constructor to create a new activation context. The implementation of the class in the .NET Framework version 2.0 is designed for applications that are neither fully installed in a store nor fully contained in a folder. This method provides backward compatibility for later releases in which public constructors provide full activation contexts.

  Initializes a new instance of the class using the specified application identity.

  An object with the specified application identity.

  An object that identifies an application.
- Method
  2.0.0.0
  4.0.0.0
  System.ActivationContext `` ``

  The method calls an internal constructor to create a new activation context. The implementation of the class in the .NET Framework version 2.0 is designed for applications that are neither fully installed in a store nor fully contained in a folder. This method provides backward compatibility for later releases in which public constructors provide full activation contexts.

  Initializes a new instance of the class using the specified application identity and array of manifest paths.

  An object with the specified application identity and array of manifest paths.

  An object that identifies an application. A string array of manifest paths for the application.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the .

- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Enables an object to attempt to free resources and perform other cleanup operations before the is reclaimed by garbage collection.

- Property
  2.0.0.0
  4.0.0.0
  System.ActivationContext+ContextForm To be added.

  A manifest-based application might not be installed in the ClickOnce store. An application that is not in the store, such as a manifest-activated application executing in vsprvs, is classified as . An application that is contained in the store is classified as .

  Gets the form, or store context, for the current application.

- Property
  2.0.0.0
  4.0.0.0
  System.ApplicationIdentity To be added.

  An uniquely identifies an application by its full name and location.

  Gets the application identity for the current application.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Populates a with the data needed to serialize the target object.

  The object to populate with data. The structure for this serialization.